BazaarLinkBazaarLink
เข้าสู่ระบบ
เอกสารAPI ข้อมูลอ้างอิงSDK ข้อมูลอ้างอิงการใช้งาน AgentAI ทักษะ
บัญชี

ส่งความคิดเห็น Tavily

ส่งความคิดเห็นเกี่ยวกับความเกี่ยวข้องและประโยชน์ของคำขอค้นหาหรือเซสชัน BazaarLink จะรับคำขอและตอบกลับในรูปแบบสำเร็จของ Tavily แต่ตอนนี้รับความคิดเห็นไว้และยังไม่ประมวลผล ต้องระบุ request_id หรือ session_id อย่างน้อยหนึ่งรายการ และใช้ X-Session-Id เพื่อระบุเซสชันได้

POST/v1/feedback

การอนุญาต

Authorizationจำเป็น
string · header

API key เป็น bearer token ใน header Authorization

Body

request_id
string

ID คำขอค้นหาที่ต้องการแสดงความคิดเห็น เมื่อระบุแล้วความคิดเห็นจะใช้กับคำขอนั้น

maxLength: 200
Example: 8442d8d0-8b74-4fca-a89e-5b1b6dd33295
session_id
string

ID เซสชันที่ต้องการแสดงความคิดเห็น หากไม่มี request_id ความคิดเห็นจะใช้กับทั้งเซสชัน

maxLength: 200
Example: 5874812a-2e9b-43ea-8978-6cc9225b587b
agent_score
number | string

คะแนนรวมของเอเจนต์สำหรับความเกี่ยวข้องและประโยชน์ของผลลัพธ์

string maxLength: 64
Example: 1
human_score
number | string

คะแนนจากผู้ใช้ปลายทาง หากมีการเก็บข้อมูล

string maxLength: 64
Example: 1
extra_scores
array<object>

รายการมิติเพิ่มเติมแบบมีป้ายกำกับ แต่ละรายการต้องมี label และ value

maxItems: 50
labelจำเป็น
string

ชื่อของมิติที่ให้คะแนน

maxLength: 64
Example: freshness
valueจำเป็น
number | string

คะแนนตัวเลขหรือป้ายกำกับข้อความสั้นไม่เกิน 64 อักขระ

string maxLength: 64
Example: 0.8
comment
string

คำอธิบายความคิดเห็นแบบข้อความอิสระ

maxLength: 10000
Example: Results were authoritative but several were old.
response_delivered
string

คำตอบสุดท้ายที่สร้างโดยใช้ผลลัพธ์

maxLength: 50000
Example: The results show that ...
used_ids
string[]

ID ของผลลัพธ์ที่ใช้จริงในคำตอบ เป็นทางเลือกแทน used_urls

maxItems: 100; item maxLength: 200
Example: ["a3f9c2-04"]
used_urls
string[]

URL ของผลลัพธ์ที่ใช้จริงในคำตอบ เป็นทางเลือกแทน used_ids

maxItems: 100; item maxLength: 2000
Example: ["https://example.com/article"]
used_citations
string[]

ส่วนของแหล่งข้อมูลที่อ้างอิงในคำตอบ

maxItems: 100; item maxLength: 2000
Example: ["A cited sentence."]
urls_scores
array<object>

ความคิดเห็นแยกตามผลลัพธ์ แต่ละรายการต้องมี id หรือ url

maxItems: 100
id
string

ID ของผลลัพธ์จากการตอบกลับการค้นหา ให้ id นี้หรือ url

maxLength: 200
Example: a3f9c2-04
url
string

URL ของผลลัพธ์ ใช้เมื่อไม่มี ID และให้ url หรือ id

maxLength: 2000
Example: https://example.com/article
agent_score
number | string

คะแนนของเอเจนต์สำหรับผลลัพธ์นี้ เป็นตัวเลขหรือข้อความสั้น

string maxLength: 64
Example: 1
scores
array<object>

คะแนนเพิ่มเติมแบบมีป้ายกำกับสำหรับผลลัพธ์นี้ แต่ละรายการมี label และ value

maxItems: 20
labelจำเป็น
string

ชื่อของมิติที่ให้คะแนน

maxLength: 64
Example: freshness
valueจำเป็น
number | string

คะแนนตัวเลขหรือป้ายกำกับข้อความสั้นไม่เกิน 64 อักขระ

string maxLength: 64
Example: 0.8
comment
string

ความคิดเห็นแบบข้อความอิสระเกี่ยวกับผลลัพธ์นี้

maxLength: 2000
Example: Directly answered the question.
POST /v1/feedback
curl -X POST https://api.bazaarlink.ai/v1/feedback \
  -H "Authorization: Bearer $BAZAARLINK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"request_id":"8442d8d0-8b74-4fca-a89e-5b1b6dd33295","agent_score":1,"used_ids":["a3f9c2-04"]}'
ตัวอย่างการตอบกลับ

รับความคิดเห็นแล้ว โดยตอบกลับ feedback_id และ response_time เนื้อหาความคิดเห็นยังไม่ถูกประมวลผล

{
  "success": true,
  "feedback_id": "f1c0f0a5-0f9b-4a62-9e0e-1b6b2f0a6d31",
  "response_time": 0.05
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.